Loyality Documentation
  1. Resumes
Loyality Documentation
  • Coaches
    • Resumes
      • Get all Resumes
        GET
      • Filter Resume By Status
        GET
      • Get Resume Details
        GET
      • Mark As Done
        PATCH
      • Drop A Review
        PATCH
      • Drop Updated Resume
        PATCH
    • Sessions
      • Get All My Sessions
      • View Specific Session
      • Raise A Concern
      • Mark As Complete
      • Ask For Reschdule
    • Mock A Coach
      POST
  • Users
    • Sessions
      • Create A Session (New)
      • Get All Sessions
      • Get A Session
      • Drop A Review
      • Book A Discovery Call
      • Reshedule Session
      • Close Session
      • Raise A Concern
      • One-On-One Coaching
    • Authentication
      • Registration
      • Login
      • Logout
      • Forget-Password
      • Resend Activation Link
      • View Profile
      • Update Account
      • Update Account As Coach
      • Activate Reset Password
      • Google Auth (Redirection Page)
      • Google Auth Callback
      • Change Password
      • Price Account Set Up
      • Schedule Account Setup
      • Turn On / Off Individual Session
    • Resumes
      • Submit A Resume
      • Get All Resumes
      • Get A Specific Resume
      • Make A Review
      • Raise A Concern
    • BootCamps
      • Register For BootCamp
    • Payments
      • Verify Payment Hook
  • Admin
    • Videos
      • Upload An Video
      • Get All Videos
      • Get Specific Videos
      • Delete Video
      • Update Video
    • Community
      • Get All Communities
      • Create A Community
      • Update Community
      • Delete Community
      • Get All Newsletters
    • Coaches
      • Get All Coaches
      • Coach Profile
      • Swtich Coaches Role
    • Sessions
      • Get All Sessions
      • Get Session Details
      • Mark As Complete
      • Setting Timeline On One-On-One
      • USD Session & Sends USD Notification
    • Authentication
      • Profile
      • Admin Login
    • Users
      • Get All Users
      • User Profile
    • Articles
      • Get All Articles
      • Get Article Details
      • Create A Article
      • Update Article
      • Delete Article
    • Testimonials
      • Get All Testimonials
      • Approve Or Disapprove Testimonails
      • Create A Testimonial
      • Get Specific Testimonial
    • BootCamp (Cohort)
      • Add Cohort
      • Get All Cohorts
      • Get All Specific Cohort
      • Get All Students
      • Delete Cohort
      • Update Cohort
    • Resumes
      • Get All Resumes
      • Assign A Resume
      • Get Resume Details
    • Hero Videos
      • Get All Hero Videos
      • Upload Hero Video
      • Get A Specific Hero Video
      • Update Hero Video
      • Delete Hero Video
    • Events
      • Get All Events
      • Create Event
      • Update Event
      • Get Specfic Events
      • Delete Events
    • Get All Subscribers
      GET
  • Get All Coaches
    GET
  • Welcome Page
    GET
  • Activate Account
    GET
  • HealthCheck
    GET
  • Sign Up For NewsLetters
    POST
  • Get All Plans
    GET
  • List Of Banks
    GET
  • Account Verification
    POST
  • Get A Coach
    GET
  • Get all Testimonials
    GET
  • Get All BootCamps
    GET
  • Get All Articles
    GET
  • Get Specific Articles
    GET
  • Get A Specific Bootcamp
    GET
  • Get A Specific Video
    GET
  • Get All Videos
    GET
  • Get All Events
    GET
  • Get A Specific Event
    GET
  • Get All Hero Videos
    GET
  • Get All Communities
    GET
  • Get A Coach By Slug
    GET
  • Check Slug Availability
    GET
  1. Resumes

Drop Updated Resume

PATCH
/api/v1/coaches/resumes/updated/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params multipart/form-data

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/coaches/resumes/updated/679915a1526f22fe310cc4ef' \
--header 'Authorization: Bearer <token>' \
--form 'resume=@""'
Response Response Example
{
    "data": {
        "message": "Success, the updated resume has been updated sucessfully.",
        "status": true,
        "resume": {
            "url": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1738085792/pdyvuui4rbamo9l0vzxe.pdf",
            "title": "RESUME non-live WITH Yahaya Abdullah Abu",
            "fileType": "application/pdf",
            "type": "non-live",
            "sector": "FinTech",
            "role": "Entry Product Manager",
            "aboutResume": "Another One here",
            "info": "Test test teset",
            "new_file": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1742630739/x8cde7bi8isgpo6ecfcb.pdf",
            "linkedInProfile": "www.linkedIn.com/c/yahaya-abdullah",
            "dateToComplete": "2025-04-10T00:00:00.000Z",
            "assignedCoach": "6782633cae5e28ad9822bdcb",
            "raiseAConcern": [],
            "reviews": [],
            "feedbacks": [],
            "isPaid": true,
            "details": {
                "type": "new"
            },
            "dateSubmitted": "2025-01-28T17:36:33.342Z",
            "status": "awaiting"
        }
    }
}
Modified at 2026-03-12 16:57:10
Previous
Drop A Review
Next
Get All My Sessions
Built with